Summary: Power Control daemon for DTL-T10000 (EE-Linux) environment
Name: ee_powctrld
Version: 1.0
Release: 2
Vendor: Sony Corporation
Copyright: Sony Corporation
Group: Daemons
Source: ee_powctrld-%{PACKAGE_VERSION}.tar.gz
Prereq: /sbin/chkconfig /bin/ps /usr/bin/patch /bin/awk
BuildRoot: /var/tmp/work
#BuildArchitectures: mips
#Requires: 

%description
This package managed power control daemon on DTL-T10000 EE-Linux.

%prep
%setup -n ee_powctrld-%{PACKAGE_VERSION}

%build
  make

%install
rm -rf $RPM_BUILD_ROOT

# install daemon
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ee-env
make install

# install rc-file for daemon
(
  cd $RPM_BUILD_ROOT
  mkdir -p ./etc/rc.d/init.d
  mkdir -p ./etc/rc.d/rc{0,1,2,3,4,5,6}.d
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc0.d/K10ee_powctrld
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc1.d/S99ee_powctrld
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc2.d/S99ee_powctrld
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc3.d/S99ee_powctrld
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc5.d/S99ee_powctrld
  ln -sf ../init.d/ee_powctrld ./etc/rc.d/rc6.d/K10ee_powctrld
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p $RPM_BUILD_ROOT/dev
rm -rf $RPM_BUILD_ROOT/dev/powctrl0
mknod $RPM_BUILD_ROOT/dev/powctrl0 -m 0600 c 60 0
/sbin/chkconfig --add ee_powctrld
if [ -e $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit ] ; then 
    sh $RPM_BUILD_ROOT/etc/ee-env/ee-patch -N -b -p0 \
	$RPM_BUILD_ROOT/etc/rc.d/rc.sysinit \
	$RPM_BUILD_ROOT/etc/ee-env/ee_powctrld-rc.sysinit.patch
fi
ps ax | fgrep rpm | fgrep -v fgrep | \
		grep -v rpm-tmp | awk '{print $1;}' > /tmp/.rpmpid-powctrld

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del ee_powctrld
fi
upid=`ps ax | fgrep rpm | fgrep -v fgrep | \
		grep -v rpm-tmp | awk '{print $1;}'`
if [ -e /tmp/.rpmpid-powctrld ] ; then
	ipid=`cat /tmp/.rpmpid-powctrld`
	rm -f /tmp/.rpmpid-powctrld
else
	ipid=1
fi

if [ $ipid != $upid ] ; then
    sh $RPM_BUILD_ROOT/etc/ee-env/ee-patch -R -p0 \
	$RPM_BUILD_ROOT/etc/rc.d/rc.sysinit \
	$RPM_BUILD_ROOT/etc/ee-env/ee_powctrld-rc.sysinit.patch
    if [ -e $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.orig ] ; then 
	rm -f $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.orig
    fi
fi

%files
%defattr(-,root,root)
/etc/rc.d/init.d/ee_powctrld
/etc/ee-env/ee-patch
/etc/ee-env/ee_powctrld-rc.sysinit.patch
/usr/sbin/ee_powctrld
/sbin/ee_powctrlmod
/sbin/ee_toolled

%changelog
