#!/bin/sh
#
# powctrld
#
# chkconfig: 1235 99 10
# description: DTL-T10000 EE-Linux Power Control daemon.
#

PATH="/sbin:/usr/sbin:/bin:/usr/bin"

. /etc/rc.d/init.d/functions

[ -f /usr/sbin/ee_powctrld ] || exit 0

device="/dev/powctrl0"
devname="ee_powctrl"

# See how we were called.
case "$1" in
  start)
	# Check if ee_powctrld is already running
	if [ ! -f /var/lock/subsys/ee_powctrld ]; then
		major=`cat /proc/devices | awk "\\$2==\"$devname\" {print \\$1}"`
		if [ -n "$major" ] ; then
			echo -n "Starting DTL-T10000 EE-Linux Power Control daemon: "
#
# comment: case of dynamic allocation
#			rm -f ${device}
#			mknod ${device} c ${major} 0
#			chmod 400 ${device}
# 
			daemon /usr/sbin/ee_powctrld
			RETVAL=$?
			[ $RETVAL -eq 0 ] && touch /var/lock/subsys/ee_powctrld

			if [ -e /sbin/ee_toolled ] ; then
				/sbin/ee_toolled -g
			fi
			
			echo
		fi
	fi
	;;
  stop)
	if [ -e /sbin/ee_toolled ] ; then
		/sbin/ee_toolled -f
	fi
	echo -n "Shutdown DTL-T10000 EE-Linux Power Control daemon: "
	killproc ee_powctrld
	RETVAL=$?
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ee_powctrld

	echo
	;;
  *)
	echo "Usage: $0 {start|stop}"
	exit 1
esac

exit 0


