/*
 *	nvramlib.c
 *
 *			Copyright (C) 1999 Sony Corporation
 *			All Rights Reserved
 */

#include <string.h>
#include "setnvram.h"

void split_var(unsigned char *nvram, char **list)
{
    char *p = nvram;

    while (*p != '\0') {
	*list++ = p;
	p += strlen(p) + 1;
    }
    *list = NULL;
}

char *get_var(char *var, char **list)
{
    char *p0, *p, *q;

    while ((p0 = *list++) != NULL) {
	p = p0;
	q = var;
	while (*q == *p) {
	    q++;
	    p++;
	}
	if (*q == '\0' && *p == '=')
	    return p0;
    }

    return NULL;	/* not found */
}

void set_var(char *var, char **list)
{
    int len, clr = 0;

    if (strchr(var, '=') == NULL) {
	len = strlen(var);
        clr++;
    } else {
	len = strchr(var, '=') - var;
    }

    while (*list != NULL) {
        if (strncmp(*list, var, len) == 0) {
            if (!clr) {
                *list = var;
            } else {
		while (list[0] = list[1])
		    list++;
            }
            return;
        }
        list++;
    }
    if (!clr)
        *list++ = var;
    *list = NULL;
}

int pack_var(unsigned char *nvram, int size, char **list)
{
    int max = size - 2;
    char *p = nvram;
    char *q, c;

    memset(nvram, 0, size);
    while ((q = *list++) != NULL) {
        do {
            c = *p++ = *q++;
            if (--max <= 0)
                return -1;
        } while (c != '\0');
    }
    *p = '\0';
    if (--max < 0)
        return -1;

    return 0;
}
